Error in WPS 3.8 (metgrid) and multiple CFSRv2 datasets

Dataset specific topics involving WPS.

Error in WPS 3.8 (metgrid) and multiple CFSRv2 datasets

Postby tanksnr » Fri Apr 29, 2016 9:05 am

Hi users,

I'm trying to process the CFSRv2 (http://rda.ucar.edu/datasets/ds094.0/#!description) datasets in WPS.
The 3D and surface variables are provided separately, and therefor I run ungrib twice to create the necessary intermediate files (i.e. once on the 3D files and once on the surface files). I then run metgrid with multiple fg_names. This is done following the example in the users guide (http://www2.mmm.ucar.edu/wrf/users/docs ... orological). Basically:

Code: Select all
fg_name = '${wpsout}/SURF', '${wpsout}/3D'


From what I read this should work, regardless of the fact that the 3D and surface data are at different resolutions and grid extents. However I get this error when running metgrid:

Code: Select all
Oops, something is not right with the Gaussian latitude computation.
The input data gave the starting latitude as  -90.000.
This routine computed the starting latitude as +-  89.844.
The difference is larger than 0.01 degrees, which is not expected.
ERROR: Gaussian_latitude_computation


The 3D data has starting lat at -90, while the surface data has starting lat at -89.844.
Does metgrid not consider each data source separately?
Has anyone successfully forced WRF with the CFSRv2 datasets?
tanksnr
 
Posts: 19
Joined: Mon Nov 26, 2012 5:37 am

Re: Error in WPS 3.8 (metgrid) and multiple CFSRv2 datasets

Postby tanksnr » Fri Apr 29, 2016 10:27 am

Right, so according to a blog working with spatial sub-sets off the RDA CISL portal will not work.
http://computing.io/wp/2013/08/wrf-with-cfsr-data/
That was for CFSR and now it seems is the same for CFSRv2.

So I downloaded the global files and metgrid runs successfully.
I also noticed that ungrib now spits out:
Code: Select all
CFSR fix: recomputing delta-longitude

when processing global files.

These two posts indicate it was a known issue, at least for other data sources:
http://forum.wrfforum.com/viewtopic.php?f=6&t=4380
http://mailman.ucar.edu/pipermail/wrf-users/2007/000416.html
And looking at the ungrib output, it seems the issue with CFSR was known as well.

Does anyone know if ungrib (and then metgrid) can correctly ingest CFSRv2 data that has been spatially sub-setted?
A spatial sub-set is a massive reduction in file size and processing time!
tanksnr
 
Posts: 19
Joined: Mon Nov 26, 2012 5:37 am

Re: Error in WPS 3.8 (metgrid) and multiple CFSRv2 datasets

Postby alainaketh » Thu Jun 30, 2016 12:48 pm

Hi,

Indeed, requesting a subset from RDA causes this error. Using the exact same dataset but with data worldwide allows the model to run perfectly fine without errors. Check my post to see how I ran the model with ERA-Interim data:

http://forum.wrfforum.com/viewtopic.php?p=26253#p26253

And even though it takes quite some time to run, in the end you get your simulations running :insert it's something meme: which is what you want if you're making a hindcast or a reproducing a past event.
Hydrology Researcher, University of Bristol
alainaketh
 
Posts: 35
Joined: Fri Jun 26, 2015 12:30 pm


Return to Working with Various Datasets

Who is online

Users browsing this forum: No registered users and 4 guests

cron